# Setup a Chroot Environment

A `chroot` environment can be used to modify a system installed to a different location.

Combined with `aufs`, the technique can be used, for example, to modify a mounted ISO image.

## Setup

	MNT=/mnt
	mount -o bind /dev $MNT/dev
	mount -o bind /dev/pts $MNT/dev/pts
	mount -t proc none $MNT/proc
	mount -t sysfs none $MNT/sys
	cp /proc/mounts $MNT/etc/mtab
	cp /etc/resolv.conf $MNT/etc/resolv.conf
	chroot $MNT

`$MNT/etc/mtab` should be edited manually to correctly point to the root file system.

Umount the chroot environment:

	umount $MNT/{sys,proc,dev/pts,dev}
	echo > $MNT/etc/resolv.conf
	rm $MNT/etc/mtab

## AUFS Overlay

Mount a writeable version of `/tmp/mnt/root` to `/tmp/mnt/rootrw`

	mkdir -p /tmp/mnt/{root,rootrw,aufs}
	mount -t aufs -o br:/tmp/mnt/aufs:/tmp/mnt/root none /tmp/mnt/rootrw
